Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts.util
Class PieLabelGenerator

    java.lang.Object
      net.sf.jasperreports.charts.util.PieLabelGenerator

All Implemented Interfaces:
  java.io.Serializable, org.jfree.chart.labels.PieSectionLabelGenerator

    public class PieLabelGenerator

extends java.lang.Object
implements org.jfree.chart.labels.PieSectionLabelGenerator, java.io.Serializable

Version:
  $Id: PieLabelGenerator.java 3938 2010-08-19 14:59:36Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  Serialized Form

Constructor Summary
`PieLabelGenerator(java.util.Map labels)`

Method Summary
`java.text.AttributedString` | `generateAttributedSectionLabel(org.jfree.data.general.PieDataset arg0, java.lang.Comparable arg1)`
`java.lang.String` | `generateSectionLabel(org.jfree.data.general.PieDataset arg0, java.lang.Comparable arg1)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PieLabelGenerator

    public PieLabelGenerator(java.util.Map labels)

Method Detail

### generateSectionLabel

    public java.lang.String generateSectionLabel(org.jfree.data.general.PieDataset arg0,
                                                 java.lang.Comparable arg1)

  Specified by:
    `generateSectionLabel` in interface `org.jfree.chart.labels.PieSectionLabelGenerator`

### generateAttributedSectionLabel

    public java.text.AttributedString generateAttributedSectionLabel(org.jfree.data.general.PieDataset arg0,
                                                                     java.lang.Comparable arg1)

  Specified by:
    `generateAttributedSectionLabel` in interface `org.jfree.chart.labels.PieSectionLabelGenerator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com